<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Mojix
 * @since 1.0
 * @version 1.0
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>
<div class="col-12">
    <div class="row justify-content-center">
        <div class="col-12 col-xl-8">
            <div id="comments" class="comments-area">

                <?php
                // You can start editing here -- including this comment!
                if ( have_comments() ) : ?>
                    <h2 class="comments-title">
                        <?php

                        ?>
                        <?php
                        $comments_number = get_comments_number();
                        if ( '1' === $comments_number ) {
                            /* translators: %s: post title */
                            printf( __( 'Comments (%1$s comment)', 'newspapik' ), number_format_i18n( $comments_number ) );
                        } else {
                            printf( __( 'Comments (%1$s comments)', 'newspapik' ), number_format_i18n( $comments_number ) );

                        }
                        ?>
                    </h2>

                    <ol class="comment-list">
                        <?php
                            wp_list_comments( array(
                                'avatar_size' => 65,
                                'style'       => 'ol',
                            ) );
                        ?>
                    </ol>

                    <?php the_comments_pagination(array(
                        'mid_size' => 2,
                        'prev_text' => '<span class="arrow">&lsaquo;</span>',
                        'next_text' => '<span class="arrow">&rsaquo;</span>',
                    ) );

                endif; // Check for have_comments().

                // If comments are closed and there are comments, let's leave a little note, shall we?
                if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>

                    <p class="no-comments"><?php _e( 'Comments are closed.', 'newspapik' ); ?></p>



                <?php
                endif;
                $commenter = wp_get_current_commenter();
                $req = get_option( 'require_name_email' );
                $aria_req = ( $req ? " aria-required='true'" : '' );
                $current_user = wp_get_current_user();
                $user_identity = $current_user->display_name;
                $required_text = __('Mandatory', 'newspapik');
                $fields =  array(
	                'author' =>
		                '<p class="comment-form-author">
                            <input 
                                id="author" 
                                name="author" 
                                type="text" 
                                value="' . esc_attr( $commenter['comment_author'] ) .'" 
                                size="30" 
                                placeholder="'.__( 'Name', 'newspapik' ).'" '
                                . $aria_req . ' 
                            />
                        </p>',

	                'email' =>
		                '<p class="comment-form-email">
                            <input 
                                id="email" 
                                name="email" 
                                type="text" 
                                value="' . esc_attr(  $commenter['comment_author_email'] ) .'" 
                                size="30" 
                                placeholder="'.__( 'Email', 'newspapik' ).'" '
                                . $aria_req . '
                             />
                        </p>',

	                'url' =>
		                '<p class="comment-form-url">
		                    <input 
                                id="url" 
                                name="url" 
                                type="text" 
                                value="' . esc_attr( $commenter['comment_author_url'] ) .'" 
                                size="30" 
                                placeholder="'.__( 'Website', 'newspapik' ).'"
                            />
                        </p>',
                );
                $args = array(
	                'label_submit'      => __( 'Submit', 'newspapik' ),

	                'comment_field' =>  '<p class="comment-form-comment">
                                            <textarea 
                                                id="comment" 
                                                name="comment" 
                                                cols="45" 
                                                rows="8" 
                                                aria-required="true"
                                                placeholder="'.__( 'Your message', 'newspapik' ).'"
                                            ></textarea>
                                        </p>',

	                'must_log_in' => '<p class="must-log-in">' .
	                                 sprintf(
		                                 __( 'You must be <a href="%s">logged in</a> to post a comment.', 'newspapik' ),
		                                 wp_login_url( apply_filters( 'the_permalink', get_permalink() ) )
	                                 ) . '</p>',

	                'logged_in_as' => '<p class="logged-in-as">' .
	                                  sprintf(
		                                  __( 'Logged in as <a href="%1$s">%2$s</a>. <a href="%3$s" title="Log out of this account">Log out?</a>', 'newspapik' ),
		                                  admin_url( 'profile.php' ),
		                                  $user_identity,
		                                  wp_logout_url( apply_filters( 'the_permalink', get_permalink( ) ) )
	                                  ) . '</p>',

	                'comment_notes_before' => '',
	                'comment_notes_after' => '',

	                'fields' => apply_filters( 'comment_form_default_fields', $fields ),
                );
                echo '<div class="row justify-content-center">
                    <div class="col-12">';
                comment_form($args);
                ?>

                    </div>
                </div>
            </div><!-- #comments -->
        </div>
    </div>
</div>