<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>"/>
	<?php ?>
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<header class="header">
    <div class="container">
        <div class="row">
            <div class="col-10 col-lg-3">
				<?php if ( !empty(get_custom_logo()) ): ?>
                    <div class="logo">
                        <a href="<?php echo esc_url( home_url('/') ) ?>"><?php the_custom_logo(); ?></a>
                    </div>
				<?php else: ?>
                    <div class="logo">
                        <h1 class="title"><a href="<?php echo esc_url( home_url('/') ) ?>"><?php bloginfo('name') ?></a></h1>
                        <p class="description"><?php bloginfo('description') ?></p>
                    </div>
				<?php endif; ?>
            </div><!--col-12 col-sm-2-->


            <div class="col-2 d-block d-lg-none">
                <a href="#" class="menu_toggle newspapik_sidr" data-name="side_menu" data-side="<?php echo (is_rtl()) ? 'left' : 'right'; ?>">
                    <span></span>
                    <span></span>
                    <span></span>
                </a>

                <div id="side_menu">
	                <?php get_search_form(); ?>
			        <?php
			        if ( has_nav_menu( 'main_menu' ) ) {
				        wp_nav_menu( array(
					        'theme_location' => 'main_menu',
					        'menu_class'     => 'main_menu',
					        'container_class'      => 'side_main_menu'
				        ) );
			        }
			        ?>

	                <?php
	                if(is_active_sidebar( 'mobile_side_menu')  ) {
		                echo '<aside class="widgets">';
		                dynamic_sidebar( 'mobile_side_menu' );
		                echo '</aside>';
	                }
	                ?>
                </div>


            </div><!--d-block d-lg-none-->

            <div class="col-lg-9 d-none d-lg-block d-xl-block">
                <div class="search">
                    <a href="#" class="search_open">&nbsp;</a>
					<?php get_search_form() ?>
                </div><!--search-->
                <div class="main_menu">
					<?php
					if ( has_nav_menu( 'main_menu' ) ) {
						wp_nav_menu( array(
							'theme_location' => 'main_menu',
							'menu_class'     => 'main_menu',
							'container'      => false
						) );
					}
					?>
                </div><!--main_menu-->
            </div><!--col-12 col-sm-10-->
        </div><!--row-->
		<?php  get_template_part( 'template-parts/header-bottom' ); ?>

    </div><!--container-->
</header>