<?php
add_action( 'customize_register', 'newspapik_customize_register' );
function newspapik_customize_register($wp_customize) {
	class Newspapik_Customize_Control_Multiple_Select extends WP_Customize_Control {

		/**
		 * The type of customize control being rendered.
		 */
		public $type = 'multiple-select';

		/**
		 * Displays the multiple select on the customize screen.
		 */
		public function render_content() {

			if ( empty( $this->choices ) )
				return;
			?>
            <label>
                <label class="customize-control-title"><?php echo esc_html( $this->label ); ?></label>
                <span id="_customize-description-<?php echo $this->id ?>" class="description customize-control-description">
                    <?php echo $this->description; ?>
                </span>
                <select <?php $this->link(); ?> multiple="multiple" style="height: 100%;">
					<?php
					foreach ( $this->choices as $value => $label ) {
						$selected = ( in_array( $value, $this->value() ) ) ? selected( 1, 1, false ) : '';
						echo '<option value="' . esc_attr( $value ) . '"' . $selected . '>' . $label . '</option>';
					}
					?>
                </select>
            </label>
		<?php }
	}
}