<?php
// This template used for site home page
get_header(); ?>
    <main class="main">
        <div class="container">
                <div class="<?php echo (is_active_sidebar( 'single' )) ? 'row' : 'row justify-content-center' ?>">
				<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
                    <div class="<?php echo (is_active_sidebar( 'single' )) ? 'col-12 col-lg-8' : 'col-12 col-xl-8' ?>">
                        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                            <?php if( has_post_thumbnail() && get_theme_mod( 'newspapik_thumbnail_status', true )): ?>
                                <div class="post-thumbnail">
		                            <?php the_post_thumbnail( 'full' ); ?>
                                </div><!-- .post-thumbnail -->
                            <?php endif; ?>
                            <div class="entry-content">
								<?php
								/* translators: %s: Name of current post */
								the_content( sprintf(
									__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'newspapik' ),
									get_the_title()
								) );

								wp_link_pages( array(
									'before' => '<div class="page-links">' . __( 'Pages:', 'newspapik' ),
									'after'  => '</div>',
								) );
								?>
                            </div><!-- .entry-content -->
                            <div class="row row-author">
                                <div class="<?php echo is_active_sidebar( 'single' ) ? 'col-12 col-sm-7' : 'col-12 col-lg-8'; ?>">
                                    <?php the_tags('<div class="tags">', ' ', '</div>'); ?>
                                </div>
                                <div class="<?php echo is_active_sidebar( 'single' ) ? 'col-12 col-sm-5' : 'col-12 col-lg-4'; ?>">
                                    <?php
                                    $byline = sprintf(
                                    /* translators: %s: post author */
	                                    __( '%s By %s', 'newspapik' ),
	                                    get_avatar(get_the_author_meta( 'ID' ), 90).'<span class="by">',
	                                    '</span><br /><span class="name"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '">' . get_the_author() . '</a></span>'
                                    );
                                    echo '<span class="author vcard"> ' . $byline . '</span>';
                                    ?>
                                </div>
                            </div>

                        </article>
                    </div>
	                <?php if( is_active_sidebar( 'single' )  ): ?>
                        <aside class="col-12 col-lg-4">
                            <?php dynamic_sidebar( 'single' ); ?>
                        </aside><!--col-12 col-sm-4-->
                    <?php endif; ?>
				<?php
				endwhile;
					the_posts_pagination( array(
						'mid_size'  => 2,
						'prev_text' => '<span class="arrow">&lsaquo;</span>',
						'next_text' => '<span class="arrow">&rsaquo;</span>',
					) );
					if( get_theme_mod('newspapik_related_posts_status') ) {
						get_template_part( 'template-parts/related-posts' );
					}
					comments_template();
				endif;
				?>
            </div><!--row-->
        </div><!--container-->
    </main>
<?php get_footer();