<?php
global $post;
$tags = wp_get_post_tags( $post->ID );
if ( $tags ) {
$tag_ids = array();
foreach ( $tags as $individual_tag ) {
	$tag_ids[] = $individual_tag->term_id;
}
$args     = array(
	'tag__in'          => $tag_ids,
	'post__not_in'     => array( $post->ID ),
	'posts_per_page'   => 5, // Number of related posts that will be shown.
	'ignore_sticky_posts' => 1
);
$related_query = new WP_Query( $args );
if( $related_query->have_posts() ):
?>
<div class="latest_posts">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <header>
                    <h4 class="title"><?php _e( 'Related Posts', 'newspapik' ); ?></h4>
                </header>
            </div><!--col-12-->
        </div><!--row-->
        <div class="row ow-eq-height">
			<?php while ( $related_query->have_posts() ): $related_query->the_post(); ?>
                <div class="col-xs-12 col-sm-4">
                    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
                        <div class="post-thumbnail">
                            <a href="<?php the_permalink() ?>">
								<?php the_post_thumbnail( 'latest-post' ); ?>
                            </a>
                        </div><!-- .post-thumbnail -->
                        <header class="entry-header">
                            <h2 class="entry-title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
                        </header>
                    </article>
                </div>
			<?php
			endwhile;
            wp_reset_postdata();
			?>
        </div><!--row-->
    </div><!--container-->
</div><!--latest_posts-->
<?php endif; } ?>
