<div class="row">
    <div class="col-12">
        <div class="slider">
            <h4 class="title"><?php echo get_theme_mod( 'newspapik_slider_title', __( 'Featured Posts', 'newspapik' ) ); ?></h4>
            <div class="owl-carousel">
				<?php
				$each_slide_post = get_theme_mod( 'newspapik_slider_number_of_posts_slide', 2 );
				$image_size = ($each_slide_post == 1) ? 'full' : 'slider';
				$args         = array(
					'posts_per_page' => get_theme_mod( 'newspapik_slider_number_of_posts', 4 ),
					'cat'            => get_theme_mod( 'newspapik_slider_categories', array(1) ),
				);
				$slider_query = new WP_Query( $args );
				while ( $slider_query->have_posts() ):
					$slider_query->the_post();
					$cats        = get_the_category();
					$top_cat_obj = array();
					foreach ( $cats as $cat ) {
						if ( $cat->parent == 0 ) {
							$top_cat_obj[] = $cat;
						}
					}
					$top_cat_obj = $top_cat_obj[0];
					?>
                    <div style="background-image: url(<?php echo get_the_post_thumbnail_url( $post, $image_size ) ?>);">
                        <div class="slider-content">
                            <a href="<?php the_permalink() ?>" target="_blank">
                                <h3><?php the_title() ?></h3>
                                <div class="meta">
									<?php
									printf( __( 'In %s Category by %s in %s', 'newspapik' ), $top_cat_obj->name, get_the_author(), get_the_date() )
									?>
                                </div>
                            </a>
                        </div>
                    </div>
				<?php endwhile;
				wp_reset_postdata();
				?>
            </div>
        </div>
    </div>
</div><!--row-->